umbrello (4:25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 14:03:48 +0000

umbrello (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:33:58 +0000

umbrello (4:25.12.1-2ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:20:24 +0000

umbrello (4:25.12.1-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jan 2026 11:21:06 +0000

umbrello (4:25.12.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop runtime dependency on KF5’s kinit.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Jan 2026 09:08:30 +0100

umbrello (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 11:56:37 +0000

umbrello (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Refresh lintian overrides.
  * Review copyright information.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Jan 2026 21:31:04 +0100

umbrello (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:20:25 +0000

umbrello (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:40:00 +0000

umbrello (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:19:45 +0000

umbrello (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:58:36 +0000

umbrello (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:21:29 +0000

umbrello (4:25.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.08.2).
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 Oct 2025 00:13:07 +0200

umbrello (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 12:00:26 +0100

umbrello (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:00:22 +0100

umbrello (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:36:05 +0100

umbrello (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:05:17 +0100

umbrello (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:30:22 +0100

umbrello (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:59:26 +0100

umbrello (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.1).
    - Fix showing white diagram background on KDE desktop setup with dark
    theme. (kde#502898)
  * New upstream release (25.04.2).
    - Fix 'Creating a new document after adding two diagrams segfaults'.
    (kde#504940)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:41:20 +0200

umbrello (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:27 +0200

umbrello (4:24.12.0-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop unused Build-Depends. (Closes: #1099139)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 23:58:24 +0100

umbrello (4:24.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev. (Closes: #1093864)

 -- Bastian Germann <bage@debian.org>  Thu, 30 Jan 2025 16:45:10 +0100

umbrello (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 22:16:08 +0100

umbrello (4:24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF5 debhelper build sequence.
  * Switch away from transitional pkg-config build dependency.
  * Drop condition for failing tests on some architectures: mipsel is
    gone and tests passed in the last build on powerpc.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Oct 2024 09:28:29 +0200

umbrello (4:23.08.2-1) unstable; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (23.08.2).

  [ Scarlett Moore ]
  * Remove override no longer needed. File doesn't exist.
  * Refresh copyright.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 13 Oct 2023 08:13:56 -0700

umbrello (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:08 +0100

umbrello (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:41:46 +0100

umbrello (4:22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Make the test suite non-fatal on mipsel, and powerpc:
    - on mipsel it started to fail recently, and I cannot reproduce the failure
      on the porterbox
    - on powerpc it has been always failing since the test suite was enabled

 -- Pino Toscano <pino@debian.org>  Mon, 26 Dec 2022 10:44:22 +0100

umbrello (4:22.12.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Update standards version to 4.6.2, no changes needed.
  * Bump the umbrello-data suggests in umbrello to a dependency, as umbrello
    needs its data to work.
  * Remove the unused ${shlibs:Depends} substvar in umbrello-data.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Move the metainfo file back to the umbrello binary, next to the executable
    it refers to
    - add proper breaks/replaces
  * Remove super-pedantic lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2022 19:48:01 +0100

umbrello (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Drop kde-l10n migration rules, not needed anymore.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, extra-cmake-modules,
      libqt5svg5-dev, libqt5webkit5-dev, pkg-kde-tools and qtbase5-dev.

  [ Scarlett Moore ]
  * New upstream release (22.12.0).
  * Add myself to uploaders.
  * Redo very outdated copyright file.
    - Add override for spelling error on author.
    - Fix License name for LGPL-2-or-later.
    - Fix lintian errors and remove extra glob, fix doc author year.
    and update debian/ year.
  * Refresh lintian overrides.
  * Split out arch independent usr/share files to umbrello-data package.
    - Refresh debian rules override to remove unused translations.
    - Refresh install files.
    - Split lintian overrides into respective files.
  * Add find statement to rules override to remove any empty directories after
    removing unused translations.
  * Bump standards version to 4.6.1, no changes needed.
  * Add Breaks/Replaces to new data package.
  * Add lintian override for very long line in source as these are docs and
    template files.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Dec 2022 06:32:22 -0700

umbrello (4:21.08.0-1) unstable; urgency=medium
  [ Norbert Preining ]
  * New upstream release (21.04.2).
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:42:21 +0900

umbrello (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 08:55:34 +0900

umbrello (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 14:11:25 +0900

umbrello (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 16:03:52 +0100

umbrello (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Jan 2021 12:24:22 +0100

umbrello (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Do not ship the umbrello_kdevphp.mo, and umbrello_kdevphp5.mo translations,
    as they refer to unbuilt components.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Nov 2020 11:27:37 +0100

umbrello (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:49:56 +0200

umbrello (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Sat, 15 Aug 2020 08:49:03 +0200

umbrello (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes opening of files (Closes: #951421)
  * Update watch file to the new release-service location.
  * Switch Vcs-* fields to salsa.debian.org.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the build dependencies according to the upstream build system:
    - remove unused kinit-dev, libboost-dev, libkf5auth-dev,
      libkf5guiaddons-dev, libkf5parts-dev, and libkf5service-dev
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.
  * Run the test suite at build time, since it seems to work fine:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 15:16:32 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog umbrello-data`.
